Bug 217352 - science/orthanc: Fix build with LibreSSL
Summary: science/orthanc: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-25 13:14 UTC by Bernard Spil
Modified: 2017-03-26 10:33 UTC (History)
2 users (show)

See Also:
mp39590: maintainer-feedback+


Attachments
svn diff for science/orthanc (1.11 KB, patch)
2017-02-25 13:14 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-02-25 13:14:13 UTC
Created attachment 180287 [details]
svn diff for science/orthanc

science/orthanc: Fix build with LibreSSL

  - LibreSSL removed FIPS support completely

See also: https://bitbucket.org/sjodogne/orthanc/pull-requests/4

PR:
Comment 1 Martin Wilke freebsd_committer 2017-03-02 03:33:15 UTC
Submitter is comitter.
Comment 2 commit-hook freebsd_committer 2017-03-26 10:31:46 UTC
A commit references this bug:

Author: brnrd
Date: Sun Mar 26 10:30:45 UTC 2017
New revision: 436950
URL: https://svnweb.freebsd.org/changeset/ports/436950

Log:
  science/orthanc: Fix build with LibreSSL

    - LibreSSL removed FIPS support completely

  PR:		217352
  Approved by:	mp39590@gmail.com (maintainer)
  Obtained from:	https://bitbucket.org/sjodogne/orthanc/pull-requests/4

Changes:
  head/science/orthanc/files/patch-OrthancServer_OrthancInitialization.cpp